"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppDataSource = void 0;
const config_1 = require("@nestjs/config");
const path_1 = require("path");
require("reflect-metadata");
const typeorm_1 = require("typeorm");
require('dotenv').config();
const configService = new config_1.ConfigService(process.env);
exports.AppDataSource = new typeorm_1.DataSource({
    type: "mongodb",
    host: configService.get('MONGODB_HOST'),
    port: parseInt(configService.get('MONGODB_PORT')),
    database: configService.get('MONGODB_DATABASE'),
    synchronize: false,
    logging: false,
    entities: [(0, path_1.join)(__dirname, '..', 'src/entity/*.entity.ts')],
    subscribers: [],
});
